%define plugin check_updates
%define nagiospluginsdir %{_libdir}/nagios/plugins

# No binaries in this package
%define debug_package %{nil}

Name:          nagios-plugins-check-updates
Version:       1.4.11
Release:       2%{?dist}
Summary:       A Nagios plugin to check if Red Hat or Fedora system is up-to-date

Group:         Applications/System
License:       GPLv3+
URL:           https://trac.id.ethz.ch/projects/nagios_plugins/wiki/check_updates
Source:        https://trac.id.ethz.ch/projects/nagios_plugins/downloads/check_updates-%{version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: perl(ExtUtils::MakeMaker)

Requires:      nagios-plugins
# Yum security plugin RPM:
#    Fedora             : yum-plugin-security (also provides yum-security)
#    Red Hat Enterprise : yum-security
Requires:      yum-security

Obsoletes:     check_updates

%description
%{summary}.


%prep
%setup -q -n %{plugin}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor \
    INSTALLSCRIPT=%{nagiospluginsdir} \
    INSTALLVENDORSCRIPT=%{nagiospluginsdir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name "*.pod" -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}/*

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS Changes NEWS README TODO COPYING COPYRIGHT
%{nagiospluginsdir}/*
%{_mandir}/man1/*.1*


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Nov 18 2010 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.4.11-1
- Update to 1.4.11.

* Mon Nov  1 2010 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.4.9-1
- Update to 1.4.9 (solves the EPEL5 build problem).

* Sun Oct 31 2010 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.4.8-1
- Update to 1.4.8 (license clarification).

* Thu Feb 18 2010 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.4.7-1
- Update to 1.4.7.

* Thu Dec 10 2009 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.4.6-1
- First build for Fedora and EPEL.

# vim:set ai ts=4 sw=4 sts=4 et:
